Subject: Re: [PATCH] blame: make diff algorithm configurable

From: Junio C Hamano <[email-masked]>
Date: Wed, 22 Oct 2025 13:39:43 -0700

Antonin Delpeuch <[email-masked]> writes:

> On 20/10/2025 18:05, Junio C Hamano wrote:
>
>>>      If the general idea of this patch is judged worthwhile, I would be happy
>>>      to add tests to demonstrate the impact of the diff algorithm on blame
>>>      output.
>> Do not ever say this here.
>>
>> I've seen from time to time people ask "I am thinking of doing this;
>> will a patch be accepted?  If so, I'll work on it." before showing
>> any work, and my response always has been:
>>
>>   (1) We don't know how useful and interesting your contribution would
>>       be for our audience, until we see it; and
>>
>>   (2) If you truly believe in your work (find it useful, find writing
>>       it fun, etc.), that would be incentive enough for you to work
>>       on it, whether or not the result will land in my tree.  You
>>       should instead aim for something so brilliant that we would
>>       come to you begging for your permission to include it in our
>>       project.
>
> I am surprised by your reaction here, both by its substance and form.

Yeah, after sending it out, I realized that the canned response
above was not fitting to this exact instance.  I overreacted
primarily because what I saw everything before that part was
indication of a great new contributor, which made my dissapointment
to see the dreaded "I will do this if this is accepted" even worse.

Your "this one lacks tests" is a bit different from what we
sometimes see on this list that I react with the above canned
response, which is "I want to do this great thing.  If you promise
you will accept this change, I'll work on it" without showing any
detailed design or code.  It is more like "I know we need test but I
have shown the main part of the change.  Am I going in the right
direction?"

You certainly didn't deserve the above response.  Sorry about that.